#!/bin/sh -e

if [ "$(id -u)" != "0" ]
then
	echo Need to be root.
	exit 1
fi

echo "MDVL Transformation Script 2.0.0.12, Copyright (c) 2013 Ma_Sys.ma."
echo "For further info send an e-mail to Ma_Sys.ma@web.de."
printf "\033[31;40;9m\n"
echo "-------------------------------------------------------------------------"
echo " WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING WARNING "
echo
echo " You might be about to seriously damage your system. Installing MDVL is"
echo " good but irreversably changes your system. Repetition: This script can"
echo " not be undone. Continue only if you are absolutely sure you want this."
echo " If you are not sure, try it in a safe virtual machine first."
echo 
echo " In doubt, ask your system administrator. If you are the administrator"
echo " and still are in doubt, ask Linux-Fan <Ma_Sys.ma@web.de>."
echo "-------------------------------------------------------------------------"
printf "\033[0m\n"
phrase="DAMAGE_$$_PERMANENTLY"
echo "To continue, please enter \"$phrase\" (without quotes) below:"
read comp

if [ "$comp" != "$phrase" ]
then
	echo Installation aborted.
	exit 1
fi

MDPC_DIST=wheezy
MDPC_DIST_MA=squeeze
IP=192.168.1.16

echo "# Main
deb http://ftp.informatik.uni-frankfurt.de/debian/ $MDPC_DIST main contrib non-free
# Security Updates
deb http://security.debian.org/ $MDPC_DIST/updates main contrib non-free
deb http://ftp.informatik.uni-frankfurt.de/debian/ $MDPC_DIST-updates main contrib non-free
# Ma_Sys.ma Debian packages
deb http://$IP/mdvl $MDPC_DIST_MA main" > /etc/apt/sources.list

wget -O - http://$IP/mdvl/pubkey | apt-key add -
wget -O - http://www.remastersys.com/debian/remastersys.gpg.key | apt-key add -
aptitude update
aptitude -y full-upgrade

# Allows the user to load a different mirror configuration manually
# Required for all sorts of release-changes
pat="mdvl-conf-mirror_*_all.deb"
for i in $pat; do
	if [ "$i" = "$pat" ]; then
		aptitude -y install mdvl-conf-mirror
	else
		dpkg -i "$i"
	fi
	break
done

aptitude update
aptitude install mdvl-all

if [ -d "/home/linux-fan" ]
then
	rsync --recursive -l --delete /etc/skel/ /home/linux-fan
	chown -R linux-fan /home/linux-fan
	chgrp -R linux-fan /home/linux-fan
fi

rsync --recursive -l --delete /etc/skel/ /root

echo
echo So far so good... let\'s try mdvl-problematic
echo
aptitude install -t experimental iceweasel
aptitude install mdvl-problematic
echo
echo CONGRATULATIONS: MDVL WAS SUCCESSFULLY INSTALLED
exit 0
